### execution::mapping_t

A property to describe what guarantees an executor makes about the mapping of execution agents on to threads of execution.

    struct mapping_t

##### Types

Name | Description
--- | ---
new_thread_t | A sub-property that indicates that execution agents are mapped on to new threads of execution.
other_t | A sub-property that indicates that the mapping of execution agents is implementation-defined.
thread_t | A sub-property that indicates that execution agents are mapped on to threads of execution.
polymorphic_query_result_type | The type returned by queries against an any_executor.

##### Member Functions

Name | Description
--- | ---
mapping_t [constructor] | Default constructor. — Construct from a sub-property value.

##### Data Members

Name | Description
--- | ---
is_applicable_property_v [static] | The mapping_t property applies to executors.
is_preferable [static] | The top-level mapping_t property cannot be preferred.
is_requirable [static] | The top-level mapping_t property cannot be required.
new_thread [static] | A special value used for accessing the mapping_t::new_thread_t property.
other [static] | A special value used for accessing the mapping_t::other_t property.
thread [static] | A special value used for accessing the mapping_t::thread_t property.

##### Friends

Name | Description
--- | ---
operator!= | Compare property values for inequality.
operator== | Compare property values for equality.

##### Requirements

Header: `asio/execution/mapping.hpp`

Convenience header: `asio/execution.hpp`